import HttpKit from '@/utils/http-kit'

export default {
  /**
   * 功能描述：查询图片
   */
  page (form) {
    return HttpKit.post(`/web/course?page=${form.page}&pageSize=${form.pageSize}`).then(
      res => res.data
    )
  },
  findById (courseId) {
    return HttpKit.get(`/web/course/${courseId}`).then(
      res => res.data
    )
  }
}
