import HttpKit from '@/utils/http-kit'

export default {
  /**
   * 功能描述：查询所有[banner]
   * @param name
   */
  findAll () {
    return HttpKit.post(`/admin/bannerControl/searchBannerControl`).then(
      res => res.data
    )
  },
  expo () {
    return HttpKit.post(`/web/home`).then(
      res => res.data
    )
  },
  findRabcByid (value) {
    return HttpKit.get(`/admin/RBAC/${value}/RABCfindbyid`).then(
      res => res.data
    )
  },
  getCurrentInfo () {
    return HttpKit.get(`/apiv1/web/user/getCurrentInfo`).then(
      res => res.data
    )
  },
  logout () {
  return HttpKit.get(`/apiv1/web/user/logout`).then(
    res => res.data
  )
}
}
