package cn.com.sailfish.linghang.config;

import cn.com.sailfish.linghang.filter.RequestLoggingFilter;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.filter.CommonsRequestLoggingFilter;

/**
 * Author: huangpeilin
 * Create at: 2018-12-12 11:24:44
 * Description:
 *
 * @author huangpeilin
 */
@Configuration
public class RequestLoggingFilterConfig {

    @Bean
    public CommonsRequestLoggingFilter logFilter() {
        CommonsRequestLoggingFilter filter = new RequestLoggingFilter();
        ((RequestLoggingFilter) filter)
                .get()
                    // .exclude("要过滤的接口")
                    .exclude("/actuator/**")
                    .exclude("/monitor/**")
                    .exclude("/swagger-ui.html")
                    .exclude("/apiv1/web/exam/getUserInTheExamQueue")
                .post()
                    .exclude("/actuator/**")
                    .exclude("/monitor/**")
                    .exclude("/apiv1/web/user/login")
                    .exclude("/apiv1/vr/user/login");
        return filter;
    }
}
