package cn.com.sailfish.linghang.config.property;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * Author: huangpeilin
 * Create at: 2018-12-12 11:05:42
 * Description:
 *
 * @author huangpeilin
 */
@Data
@ConfigurationProperties(prefix = "sailfish.file-upload")
public class FileUploadProperty {

    private String maxFileSize;

    private String maxRequestSize;

    @Override
    public String toString() {
        return "FileUploadProperty{" +
                "maxFileSize='" + maxFileSize + '\'' +
                ", maxRequestSize='" + maxRequestSize + '\'' +
                '}';
    }
}
