package cn.com.sailfish.linghang.dao;

import cn.com.sailfish.linghang.domain.Exam;
import cn.com.sailfish.linghang.domain.QuestionPaper;
import cn.com.sailfish.linghang.domain.User;

import javax.persistence.*;
import java.time.Instant;

/**
 * Author: huangpeilin
 * Create at: 2019-05-08 16:23:49
 * Description:
 *
 * @author huangpeilin
 */
@Entity
public class ReportCardRank {

    @Id
    private Long id;
    private Float score;
    private String card;
    private String username;
    private Integer assessment;
    private String remarks;
    private Integer completionStatus;
    private Integer switchStatus;
    private Instant examTime;
    private Boolean bIsDelete;
    @ManyToOne
    private QuestionPaper questionPaper;
    @ManyToOne
    private Exam exam;
    private Integer rank;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Float getScore() {
        return score;
    }

    public void setScore(Float score) {
        this.score = score;
    }

    public String getCard() {
        return card;
    }

    public void setCard(String card) {
        this.card = card;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public Integer getAssessment() {
        return assessment;
    }

    public void setAssessment(Integer assessment) {
        this.assessment = assessment;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public Integer getCompletionStatus() {
        return completionStatus;
    }

    public void setCompletionStatus(Integer completionStatus) {
        this.completionStatus = completionStatus;
    }

    public Integer getSwitchStatus() {
        return switchStatus;
    }

    public void setSwitchStatus(Integer switchStatus) {
        this.switchStatus = switchStatus;
    }

    public Instant getExamTime() {
        return examTime;
    }

    public void setExamTime(Instant examTime) {
        this.examTime = examTime;
    }

    public Boolean getbIsDelete() {
        return bIsDelete;
    }

    public void setbIsDelete(Boolean bIsDelete) {
        this.bIsDelete = bIsDelete;
    }

    public QuestionPaper getQuestionPaper() {
        return questionPaper;
    }

    public void setQuestionPaper(QuestionPaper questionPaper) {
        this.questionPaper = questionPaper;
    }

    public Exam getExam() {
        return exam;
    }

    public void setExam(Exam exam) {
        this.exam = exam;
    }

    public Integer getRank() {
        return rank;
    }

    public void setRank(Integer rank) {
        this.rank = rank;
    }

    @Override
    public String toString() {
        return "ReportCardRank{" +
                "id=" + id +
                ", score=" + score +
                ", card='" + card + '\'' +
                ", username='" + username + '\'' +
                ", assessment=" + assessment +
                ", remarks='" + remarks + '\'' +
                ", completionStatus=" + completionStatus +
                ", switchStatus=" + switchStatus +
                ", examTime=" + examTime +
                ", bIsDelete=" + bIsDelete +
                ", questionPaper=" + questionPaper +
                ", exam=" + exam +
                ", rank=" + rank +
                '}';
    }
}
