package cn.com.sailfish.linghang.dao.web.request;

import java.util.List;

/**
 * Author: huangpeilin
 * Create at: 2019-04-25 14:44:30
 * Description:
 *
 * @author huangpeilin
 */
public class WebQuestionPaperCreateRequestDTO {

    /**
     * 机型ID
     */
    private Long modelId;
    /**
     * 区域ID
     */
    private Long areaId;
    /**
     * 发动机ID
     */
    private Long engineId;
    /**
     * 课程ID
     */
    private Long courseId;
    /**
     * 试卷名字
     */
    private String title;
    /**
     * 试卷描述
     */
    private String description;
    /**
     * 考试时长
     */
    private Integer testLength;
    /**
     * 人为设定异常数量
     */
    private Integer randomAbnormals;
    /**
     * 异常生成类型
     */
    private Integer exceptionGenerateType;
    /**
     * 是否具有部位浮标功能
     */
    private Boolean bIsPartsOfBuoy;
    /**
     * 是否具有位置提示功能
     */
    private Boolean bIsLocationHints;
    /**
     * 是否具有环境声效功能
     */
    private Boolean bIsEnvironmentalSound;
    /**
     * 是否具有操作提示功能
     */
    private Boolean bIsOperatingHints;
    /**
     * 是否具有语音提示功能
     */
    private Boolean bIsVoiceHints;
    /**
     * 是否具有名称标签功能
     */
    private Boolean bIsNameTag;
    /**
     * 是否具有图文弹窗功能
     */
    private Boolean bIsGraphicPopupWindow;
    /**
     * 是否具有警示注意功能
     */
    private Boolean bIsWarningNotice;
    /**
     * 特殊项的ID集合
     */
    private List<Long> specialIds;
    /**
     * 特殊项合格所需数量
     */
    private Integer qualifiedQuantity;

    @Override
    public String toString() {
        return "WebQuestionPaperCreateRequestDTO{" +
                "modelId=" + modelId +
                ", areaId=" + areaId +
                ", engineId=" + engineId +
                ", courseId=" + courseId +
                ", title='" + title + '\'' +
                ", description='" + description + '\'' +
                ", testLength=" + testLength +
                ", randomAbnormals=" + randomAbnormals +
                ", exceptionGenerateType=" + exceptionGenerateType +
                ", bIsPartsOfBuoy=" + bIsPartsOfBuoy +
                ", bIsLocationHints=" + bIsLocationHints +
                ", bIsEnvironmentalSound=" + bIsEnvironmentalSound +
                ", bIsOperatingHints=" + bIsOperatingHints +
                ", bIsVoiceHints=" + bIsVoiceHints +
                ", bIsNameTag=" + bIsNameTag +
                ", bIsGraphicPopupWindow=" + bIsGraphicPopupWindow +
                ", bIsWarningNotice=" + bIsWarningNotice +
                ", specialIds=" + specialIds +
                ", qualifiedQuantity=" + qualifiedQuantity +
                '}';
    }

    public Long getModelId() {
        return modelId;
    }

    public void setModelId(Long modelId) {
        this.modelId = modelId;
    }

    public Long getAreaId() {
        return areaId;
    }

    public void setAreaId(Long areaId) {
        this.areaId = areaId;
    }

    public Long getEngineId() {
        return engineId;
    }

    public void setEngineId(Long engineId) {
        this.engineId = engineId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getTestLength() {
        return testLength;
    }

    public void setTestLength(Integer testLength) {
        this.testLength = testLength;
    }

    public Integer getRandomAbnormals() {
        return randomAbnormals;
    }

    public void setRandomAbnormals(Integer randomAbnormals) {
        this.randomAbnormals = randomAbnormals;
    }

    public Integer getExceptionGenerateType() {
        return exceptionGenerateType;
    }

    public void setExceptionGenerateType(Integer exceptionGenerateType) {
        this.exceptionGenerateType = exceptionGenerateType;
    }

    public Boolean getbIsPartsOfBuoy() {
        return bIsPartsOfBuoy;
    }

    public void setbIsPartsOfBuoy(Boolean bIsPartsOfBuoy) {
        this.bIsPartsOfBuoy = bIsPartsOfBuoy;
    }

    public Boolean getbIsLocationHints() {
        return bIsLocationHints;
    }

    public void setbIsLocationHints(Boolean bIsLocationHints) {
        this.bIsLocationHints = bIsLocationHints;
    }

    public Boolean getbIsEnvironmentalSound() {
        return bIsEnvironmentalSound;
    }

    public void setbIsEnvironmentalSound(Boolean bIsEnvironmentalSound) {
        this.bIsEnvironmentalSound = bIsEnvironmentalSound;
    }

    public Boolean getbIsOperatingHints() {
        return bIsOperatingHints;
    }

    public void setbIsOperatingHints(Boolean bIsOperatingHints) {
        this.bIsOperatingHints = bIsOperatingHints;
    }

    public Boolean getbIsVoiceHints() {
        return bIsVoiceHints;
    }

    public void setbIsVoiceHints(Boolean bIsVoiceHints) {
        this.bIsVoiceHints = bIsVoiceHints;
    }

    public Boolean getbIsNameTag() {
        return bIsNameTag;
    }

    public void setbIsNameTag(Boolean bIsNameTag) {
        this.bIsNameTag = bIsNameTag;
    }

    public Boolean getbIsGraphicPopupWindow() {
        return bIsGraphicPopupWindow;
    }

    public void setbIsGraphicPopupWindow(Boolean bIsGraphicPopupWindow) {
        this.bIsGraphicPopupWindow = bIsGraphicPopupWindow;
    }

    public Boolean getbIsWarningNotice() {
        return bIsWarningNotice;
    }

    public void setbIsWarningNotice(Boolean bIsWarningNotice) {
        this.bIsWarningNotice = bIsWarningNotice;
    }

    public List<Long> getSpecialIds() {
        return specialIds;
    }

    public void setSpecialIds(List<Long> specialIds) {
        this.specialIds = specialIds;
    }

    public Integer getQualifiedQuantity() {
        return qualifiedQuantity;
    }

    public void setQualifiedQuantity(Integer qualifiedQuantity) {
        this.qualifiedQuantity = qualifiedQuantity;
    }
}
