package cn.com.sailfish.linghang.dao.web.response;

import java.util.List;

/**
 * Author: huangpeilin
 * Create at: 2019-04-30 15:05:20
 * Description:
 *
 * @author huangpeilin
 */
public class CourseInfoResponseDTO {

    /**
     * 课程ID
     */
    private Long id;
    /**
     * 课程名字
     */
    private String name;
    /**
     * 课程中文名字
     */
    private String chineseName;
    /**
     * 职位 0:乘务; 1:机务
     */
    private Integer division;
    /**
     * 异常数量
     */
    private Integer totalAbnormals;
    /**
     * 创建时间 时间戳
     */
    private Long createTime;
    /**
     * 机型数据模型
     */
    private ModelResponseDTO model;
    /**
     * 发动机数据模型
     */
    private EngineResponseDTO engine;
    /**
     * 检查项列表
     */
    private List<CheckItemResponseDTO> checkItemList;
    /**
     * 异常项列表
     */
    private List<ExceptionItemResponseDTO> exceptionItemList;

    @Override
    public String toString() {
        return "CourseInfoResponseDTO{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", chineseName='" + chineseName + '\'' +
                ", division=" + division +
                ", totalAbnormals=" + totalAbnormals +
                ", createTime=" + createTime +
                ", model=" + model +
                ", engine=" + engine +
                ", checkItemList=" + checkItemList +
                ", exceptionItemList=" + exceptionItemList +
                '}';
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getChineseName() {
        return chineseName;
    }

    public void setChineseName(String chineseName) {
        this.chineseName = chineseName;
    }

    public Integer getDivision() {
        return division;
    }

    public void setDivision(Integer division) {
        this.division = division;
    }

    public Integer getTotalAbnormals() {
        return totalAbnormals;
    }

    public void setTotalAbnormals(Integer totalAbnormals) {
        this.totalAbnormals = totalAbnormals;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public ModelResponseDTO getModel() {
        return model;
    }

    public void setModel(ModelResponseDTO model) {
        this.model = model;
    }

    public EngineResponseDTO getEngine() {
        return engine;
    }

    public void setEngine(EngineResponseDTO engine) {
        this.engine = engine;
    }

    public List<CheckItemResponseDTO> getCheckItemList() {
        return checkItemList;
    }

    public void setCheckItemList(List<CheckItemResponseDTO> checkItemList) {
        this.checkItemList = checkItemList;
    }

    public List<ExceptionItemResponseDTO> getExceptionItemList() {
        return exceptionItemList;
    }

    public void setExceptionItemList(List<ExceptionItemResponseDTO> exceptionItemList) {
        this.exceptionItemList = exceptionItemList;
    }
}
