package cn.com.sailfish.linghang.dao.web.response;

import cn.com.sailfish.linghang.domain.NewsPaper;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel
public class NewsPaperResponseDTO {

    @ApiModelProperty(value = "分页数量")
    private Integer pageSize;

    @ApiModelProperty(value = "下标")
    private Integer pageIndex;

    @ApiModelProperty(value = "newslist")
    private List<NewsPaper> newsPaperlist;

    public NewsPaperResponseDTO() {
    }

    public NewsPaperResponseDTO(Integer pageSize, Integer pageIndex, List<NewsPaper> newsPaperlist) {
        this.pageSize = pageSize;
        this.pageIndex = pageIndex;
        this.newsPaperlist = newsPaperlist;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Integer getPageIndex() {
        return pageIndex;
    }

    public void setPageIndex(Integer pageIndex) {
        this.pageIndex = pageIndex;
    }

    public List<NewsPaper> getNewsPaperlist() {
        return newsPaperlist;
    }

    public void setNewsPaperlist(List<NewsPaper> newsPaperlist) {
        this.newsPaperlist = newsPaperlist;
    }

    @Override
    public String toString() {
        return "NewsPaperResponseDTO{" +
                "pageSize=" + pageSize +
                ", pageIndex=" + pageIndex +
                ", newsPaperlist=" + newsPaperlist +
                '}';
    }
}
