package cn.com.sailfish.linghang.domain.OperateDto;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;

@ApiModel("课程新增||更新[dto]")
@Data
public class CourseIntroduceOperateDto extends SearchDto {

    @ApiModelProperty(value = "課程標題")
    private String courseTitle;

    @ApiModelProperty(value = "圖片地址")
    private String imageUrl;

    @ApiModelProperty(value = "內容")
    private String content;

    @ApiModelProperty(value = "網址")
    private String courseUrl;

    @ApiModelProperty(value = "簡介")
    private String intro;

    @ApiModelProperty(value = "發佈")
    private Integer releaseStatue;

    @ApiModelProperty(value = "强推首页")
    private Integer pushIndex;


    private Integer secondTop;
}
