package cn.com.sailfish.linghang.domain.OperateDto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;

@ApiModel("3d模型新增||更新[dto]")
@Data
public class ThdModelOperateDto extends SearchDto {


    @ApiModelProperty(value = "模型標題")
    private String thdTitle;

    @ApiModelProperty(value = "簡介")
    private String intro;

    @ApiModelProperty(value = "圖片地址")
    private String imageUrl;

    @ApiModelProperty(value = "發佈")
    private Integer releaseStatue;

    @ApiModelProperty(value = "强推首页")
    private Integer pushIndex;

    @ApiModelProperty(value = "二级列表置顶")
    private Integer secondTop;

    @ApiModelProperty(value = "二维码url")
    private String qrcodeUrl;

    @ApiModelProperty(value = "压缩包url")
    private String zipUrl;
}
