package cn.com.sailfish.linghang.enumeration;

/**
 * @author huangpeilin<plhuang @ sailfish.com.cn>
 * Create at: 2019-06-04 14:25:47
 * Description:
 */
public class CourseInfoConstant {

    /**
     * 课程导入表中的ID
     */
    public static final int ID = 0;

    /**
     * 课程导入表中的姓名
     */
    public static final int NAME = 1;

    /**
     * 课程导入表中的中文姓名
     */
    public static final int CHINESE_NAME = 2;

    /**
     * 课程导入表中的职位 0:乘务; 1:机务
     */
    public static final int DIVISION = 3;

    /**
     * 课程导入表中的飞机制造商 0:空客; 1:波音; 2:商飞
     */
    public static final int AIR_FRAMER = 4;

    /**
     * 课程导入表中的机型 0:A320, 1:A380
     */
    public static final int PLANE_MODEL = 5;

    /**
     * 课程导入表中的发动机类型 0:非发动机; 1:V2500; 2:CFM56; 3:PW1100
     */
    public static final int ENGINE_TYPE = 6;

    /**
     * 课程导入表中的检查项
     */
    public static final int CHECK_ITEM = 7;

    /**
     * 课程导入表中的异常项
     */
    public static final int EXCEPTION_ITEM = 8;
}
