package cn.com.sailfish.linghang.enumeration;

/**
 * Author: huangpeilin
 * Create at: 2019-04-26 18:59:32
 * Description:
 *
 * @author huangpeilin
 */
public class ExamConstant {

    /**
     * 监考人的最大个数
     */
    public static final int MAX = 2;
    /**
     * 指定考试的时候重复考试的试卷新增
     */
    public static final int TYPE_CREATE = 0;
    /**
     * 指定考试的时候重复考试的试卷覆盖
     */
    public static final int TYPE_UPDATE = 1;

    /**
     * 考试开启的状态
     */
    public static final int SWITCH_STATUS_START = 0;
    /**
     * 考试关闭的状态
     */
    public static final int SWITCH_STATUS_CLOSE = 1;
    /**
     * 考试完成的状态
     */
    public static final int COMPLETION_STATUS_FINISHED = 0;
    /**
     * 考试未完成的状态
     */
    public static final int COMPLETION_STATUS_UNFINISHED = 1;
    /**
     *  评定 1 及格
     */
    public final static int ASSESSMENT_TYPE_PASS = 1;
    /**
     * 评定 2 不及格
     */
    public final static int ASSESSMENT_TYPE_NO_PASS = 2;
    /**
     * 评定 4 通过
     */
    public final static int ASSESSMENT_TYPE_GO = 4;
    /**
     * 评定 8 不通过
     */
    public final static int ASSESSMENT_TYPE_NOT_GO = 8;

    /**
     * 评定通过
     */
    public final static String ASSESSMENT_GO = "通过";
    /**
     * 评定不通过
     */
    public final static String ASSESSMENT_NOT_GO = "不通过";

    /**
     * 回答题目的类型 - 检查项
     */
    public final static int ANSWER_TYPE_CHECK_ITEM = 0;

    /**
     * 回答题目的类型 - 异常项
     */
    public final static int ANSWER_TYPE_EXCEPTION_ITEM = 1;

}
