package cn.com.sailfish.linghang.enumeration;

/**
 * Author: huangpeilin
 * Create at: 2019-04-25 15:31:55
 * Description:
 *
 * @author huangpeilin
 */
public class QuestionPaperConstant {

    /**
     * 异常分布类型 - 随机分布
     */
    public static final Integer RANDOM_DISTRIBUTION = 0;

    /**
     * 异常分布类型 - 均匀分布
     */
    public static final Integer UNIFORM_DISTRIBUTION = 1;

    /**
     * 试卷的总分 - 100
     */
    public static final Float SCORE = 100.00f;

    /**
     * 试卷的及格分数 - 70
     */
    public static final Float PASSING_SCORE = 70.00f;

    /**
     * 试卷的类型 - 训练
     */
    public static final Integer QUESTION_PAPER_TYPE_EXERCISE = 0;

    /**
     * 试卷的类型 - 考试
     */
    public static final Integer QUESTION_PAPER_TYPE_EXAM = 1;

    /**
     * 异常项不是特殊项
     */
    public static final Integer EXCEPTION_ITEM_IS_NOT_SPECIAL_ITEM = 0;

    /**
     * 异常项是特殊项
     */
    public static final Integer EXCEPTION_ITEM_IS_SPECIAL_ITEM = 1;


    /**
     * 试卷导入表中的导入ID
     */
    public static final int IMPORT_ID = 0;

    /**
     * 试卷导入表中的名字
     */
    public static final int NAME = 1;

    /**
     * 试卷导入表中的描述
     */
    public static final int DESC = 2;

    /**
     * 试卷导入表中的创建时间
     */
    public static final int CREATED = 3;

    /**
     * 试卷导入表中的作者
     */
    public static final int AUTHOR_ID = 4;

    /**
     * 试卷导入表中的试卷类型
     */
    public static final int PAPER_TYPE = 5;

    /**
     * 试卷导入表中的课程导入ID
     */
    public static final int COURSE_ID = 6;

    /**
     * 试卷导入表中的异常总数
     */
    public static final int TOTAL_ABNORMAL = 7;

    /**
     * 试卷导入表中人为设定的部件异常出现数量
     */
    public static final int RANDOM_ABNORMAL = 8;

    /**
     * 试卷导入表中的异常生成类型 0:随机分布; 1:均匀分布
     */
    public static final int ABNORMAL_GENERATE_TYPE = 9;

    /**
     * 试卷导入表中考试时长
     */
    public static final int EXAM_TIME_SPAN = 10;

    /**
     * 试卷导入表中的试卷总分
     */
    public static final int QUESTION_PAPER_SCORE = 11;

    /**
     * 试卷导入表中的试卷通过分数
     */
    public static final int QUESTION_PAPER_PASSING_SCORE = 12;
}
