package cn.com.sailfish.linghang.repository;

import cn.com.sailfish.linghang.domain.DataStatistics;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.time.Instant;
import java.util.List;

@Repository
public interface DataStatisticRepository extends JpaRepository<DataStatistics,Long> {

    @Modifying
    @Query("update DataStatistics d set d.gmtModified=?2 where d.sessionId=?1")
    void updateBySessionid(String SessionId, Instant time);

    List<DataStatistics> findAllBySessionId(String SessionId);
}
