package cn.com.sailfish.linghang.service.admin;

import cn.com.sailfish.linghang.domain.BannerControl;
import cn.com.sailfish.linghang.repository.BannerControlRepository;
import cn.com.sailfish.linghang.util.StringUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class BannerControlAdminService {

    @Autowired
    private BannerControlRepository bannerControlRepository;

    public void ChangeSpace(String value) {
        if (!StringUtil.isEmpty(value)) {
            bannerControlRepository.UpdateValue(value);
        }
    }

    public void moveDirection() {
        String MoveValue = bannerControlRepository.findByMove();
        if (MoveValue.equals("0")) {
            bannerControlRepository.setMove("1");
        } else {
            bannerControlRepository.setMove("0");
        }
    }

    public List<BannerControl> searchBannerControl() {
        return bannerControlRepository.findAll();
    }

}
