package cn.com.sailfish.linghang.service.crawler;

import cn.com.sailfish.linghang.domain.OperateDto.NewsPaperOperateDto;
import org.springframework.http.converter.StringHttpMessageConverter;
import org.springframework.web.client.RestTemplate;

import java.nio.charset.StandardCharsets;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.util.regex.PatternSyntaxException;

public class CataorgService implements CrawlerService {
    @Override
    public NewsPaperOperateDto crawler(String url) {
        NewsPaperOperateDto newsPaperOperateDto = new NewsPaperOperateDto();
        int i = url.lastIndexOf("/");
        String imgUrl = url.substring(0,i);
        RestTemplate restTemplate = new RestTemplate();
        restTemplate.getMessageConverters().set(1,new StringHttpMessageConverter(StandardCharsets.UTF_8));
        String forObject = restTemplate.getForObject(url, String.class);
        String title = "<div class=\"txt_title\" style=\"font-size:25px;\">";
        int firstTilteIndex = forObject.indexOf(title);
        firstTilteIndex += title.length();
        int lastTitleIndex = forObject.indexOf("</div>",firstTilteIndex);
        String newsTitle = forObject.substring(firstTilteIndex ,lastTitleIndex);
        String _newsTitle = newsTitle.trim();
        newsPaperOperateDto.setNewsTitle(_newsTitle);
        int firstContentIndex = forObject.indexOf("<style id=_Custom_Style_>");
        String lastContent="<div id=\"appendix\" class=\"appendix\">";
        int lastContentIndex = forObject.indexOf(lastContent,firstContentIndex);
        String newsContent = forObject.substring(firstContentIndex,lastContentIndex);
        newsContent = "<div>" + newsContent;
        newsContent += "</div>";
        String replaceContent = newsContent.replace("src=\".", "src=\"" + imgUrl);
        newsPaperOperateDto.setContent(replaceContent);
        newsPaperOperateDto.setIntro("");
        return newsPaperOperateDto;
    }

}
