package cn.com.sailfish.linghang.config.property;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * Author: huangpeilin
 * Create at: 2019-05-09 15:13:54
 * Description:
 *
 * @author huangpeilin
 */
@Data
@ConfigurationProperties(prefix = "sailfish.export-template")
public class ExportTemplateProperty {

    private String exportTemplateLocation;

    private String exportFileName;

    private String exportFilePath;

    private String userExportTemplate;

    private String personReportCardExportTemplate;

    private String classReportCardExportTemplate;

    private String examOperationRecordExportTemplate;

    private String trainOperationRecordExportTemplate;

    private String personalExamOperationRecordExportTemplate;

    private String personalTrainingOperationRecordExportTemplate;

    @Override
    public String toString() {
        return "ExportTemplateProperty{" +
                "exportTemplateLocation='" + exportTemplateLocation + '\'' +
                ", exportFileName='" + exportFileName + '\'' +
                '}';
    }

}
