package cn.com.sailfish.linghang.config.property;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * @author huangpeilin<plhuang @ sailfish.com.cn>
 * Create at: 2019-05-25 11:22:16
 * Description:
 */
@Data
@ConfigurationProperties(prefix = "sailfish.sso")
public class SsoProperty {

    private String ip;
    private String keyDate;
    private String appName;
    private String userDataIp;

    @Override
    public String toString() {
        return "SsoProperty{" +
                "ip='" + ip + '\'' +
                ", keyDate='" + keyDate + '\'' +
                ", appName='" + appName + '\'' +
                ", userDataIp='" + userDataIp + '\'' +
                '}';
    }

}
