package cn.com.sailfish.linghang.controller.admin;

import cn.com.sailfish.linghang.common.RestRespDTO;
import cn.com.sailfish.linghang.service.admin.FileUploadAdminService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

@Api(description = "[管理后台]上传图片")
@RestController
@RequestMapping("/admin/image")
public class FileUploadController {
    @Autowired
    FileUploadAdminService fileUploadAdminService;

    @ApiOperation(value = "上传文件")
    @PostMapping("/fileUpload")
    public RestRespDTO singleFileUpload(@ApiParam("文件") @RequestParam("file") MultipartFile file,
                                        @ApiParam("分类") @RequestParam("sourceType") String sourceType) {
        return new RestRespDTO().success(fileUploadAdminService.savefile(file, sourceType));
    }

}
