package cn.com.sailfish.linghang.dao.web;

/**
 * @author huangpeilin<plhuang @ sailfish.com.cn>
 * Create at: 2019-06-03 15:28:45
 * Description:
 */
public class ItemImportModel {

    /**
     * 检查项ID
     */
    private Long id;
    /**
     * 检查项名字（英文）
     */
    private String name;
    /**
     * 检查项中文名字
     */
    private String desc;
    private String region;
    /**
     * 飞机型号 0:A320, 1:A380
     */
    private Integer planeModel;
    /**
     * 0:非发动机; 1:V2500; 2:CFM56; 3:PW1100
     */
    private Integer engineType;

    @Override
    public String toString() {
        return "ItemImportModel{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", desc='" + desc + '\'' +
                ", region='" + region + '\'' +
                ", planeModel=" + planeModel +
                ", engineType=" + engineType +
                '}';
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getRegion() {
        return region;
    }

    public void setRegion(String region) {
        this.region = region;
    }

    public Integer getPlaneModel() {
        return planeModel;
    }

    public void setPlaneModel(Integer planeModel) {
        this.planeModel = planeModel;
    }

    public Integer getEngineType() {
        return engineType;
    }

    public void setEngineType(Integer engineType) {
        this.engineType = engineType;
    }
}
