package cn.com.sailfish.linghang.dao.web.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.sql.Timestamp;

@ApiModel(value = "二级页面查询展示接口")
@Entity
public class BannerSecondRequestDTO {
    @Id
    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "简介")
    private String content;

    @ApiModelProperty(value = "类型")
    private Integer type;

    @ApiModelProperty(value="图片地址，暂定地址后期修改为id")
    private String url;

    @ApiModelProperty("创建时间")
    private Timestamp creattime;

    public BannerSecondRequestDTO() {
    }

    public BannerSecondRequestDTO(String title, String content, Integer type, String url) {
        this.title = title;
        this.content = content;
        this.type = type;
        this.url = url;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }
}
