package cn.com.sailfish.linghang.dao.web.response;

import java.io.Serializable;
import java.util.List;

/**
 * @author admin
 * @ClassName: PageResponseDTO
 * @Description: @Description
 * @date 2018/3/16 16:01
 */
public class PageResponse<T> implements Serializable {


    private List<T> list;
    private long totalCount;
    private Integer totalPageCount;
    private Integer pageSize;
    private Integer pageIndex;


    public List<T> getList() {
        return list;
    }

    public void setList(List<T> list) {
        this.list = list;
    }

    public long getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(long totalCount) {
        this.totalCount = totalCount;
    }

    public Integer getTotalPageCount() {
        return totalPageCount;
    }

    public void setTotalPageCount(Integer totalPageCount) {
        this.totalPageCount = totalPageCount;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Integer getPageIndex() {
        return pageIndex;
    }

    public void setPageIndex(Integer pageIndex) {
        this.pageIndex = pageIndex;
    }

    @Override
    public String toString() {
        return "PageResponse{" +
                "list=" + list +
                ", totalCount=" + totalCount +
                ", totalPageCount=" + totalPageCount +
                ", pageSize=" + pageSize +
                ", pageIndex=" + pageIndex +
                '}';
    }
}
