package cn.com.sailfish.linghang.dao.web.response;

/**
 * Author: huangpeilin
 * Create at: 2019-04-23 19:17:53
 * Description:
 *
 * @author huangpeilin
 */
public class WebUserResponseDTO {

    /**
     * 用户ID
     */
    private Long id;
    /**
     * 用户名字
     */
    private String username;
    /**
     * 用户工号
     */
    private String card;
    /**
     * 区域ID
     */
    private Long areaId;
    /**
     * 区域名字
     */
    private String areaName;
    /**
     * 学员类别 0 代表学员 1 代表教员
     */
    private Integer type;
    /**
     * 学员班别 初训 复训
     */
    private String classType;
    /**
     * 负责人ID
     */
    private Long leaderId;
    /**
     * 负责人名字
     */
    private String leaderName;
    /**
     * 手机号码
     */
    private String mobilePhone;
    /**
     * 电子邮箱
     */
    private String email;
    /**
     * 用户头像
     */
    private String userImage;
    /**
     * 用户权限
     */
    private Integer authority;
    /**
     * 用户状态 0 训练 1 考试 2 离线 3 在线
     */
    private Integer status;
    /**
     * 用户备注
     */
    private String remarks;
    /**
     * 用户职位 0:乘务; 1:机务
     */
    private Integer position;
    /**
     * 是否启用权限
     */
    private Boolean enable;

    /**
     * 性别 0:女; 1:男
     */
    private Integer gender;

    @Override
    public String toString() {
        return "WebUserResponseDTO{" +
                "id=" + id +
                ", username='" + username + '\'' +
                ", card='" + card + '\'' +
                ", areaId=" + areaId +
                ", areaName='" + areaName + '\'' +
                ", type=" + type +
                ", classType='" + classType + '\'' +
                ", leaderId=" + leaderId +
                ", mobilePhone='" + mobilePhone + '\'' +
                ", email='" + email + '\'' +
                ", userImage='" + userImage + '\'' +
                ", authority=" + authority +
                ", status=" + status +
                ", remarks='" + remarks + '\'' +
                ", position=" + position +
                '}';
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getCard() {
        return card;
    }

    public void setCard(String card) {
        this.card = card;
    }

    public Long getAreaId() {
        return areaId;
    }

    public void setAreaId(Long areaId) {
        this.areaId = areaId;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getClassType() {
        return classType;
    }

    public void setClassType(String classType) {
        this.classType = classType;
    }

    public Long getLeaderId() {
        return leaderId;
    }

    public void setLeaderId(Long leaderId) {
        this.leaderId = leaderId;
    }

    public String getLeaderName() {
        return leaderName;
    }

    public void setLeaderName(String leaderName) {
        this.leaderName = leaderName;
    }

    public String getMobilePhone() {
        return mobilePhone;
    }

    public void setMobilePhone(String mobilePhone) {
        this.mobilePhone = mobilePhone;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getUserImage() {
        return userImage;
    }

    public void setUserImage(String userImage) {
        this.userImage = userImage;
    }

    public Integer getAuthority() {
        return authority;
    }

    public void setAuthority(Integer authority) {
        this.authority = authority;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public Integer getPosition() {
        return position;
    }

    public void setPosition(Integer position) {
        this.position = position;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public Integer getGender() {
        return gender;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }
}
