package cn.com.sailfish.linghang.domain;

import cn.com.sailfish.linghang.common.auditor.Auditable;



import javax.persistence.*;
import java.io.Serializable;

/**
 * @author  lichunjiang
 * @descripttion 南航HR系统返回信息；
 * @create At 2019/10/15 10/09
 *
 */
@Entity
@Table(name = "user_info_form")
public class  UserInfoForm  extends Auditable implements Serializable {

    private static final long serialVersionUID = 1L;

    //工作号
    @Id
    @Column(name = "empid")
    private String empid;
    //姓名
    @Column(name="person_name")
    private String personName;
    //性别
    @Column(name="gender")
    private String gender;
    //证件类型
    @Column(name="id_type")
    private String idType;
    //证件号码
    @Column(name="identity_num")
    private String identityNum;
    //出生日期
    @Column(name="birth_date")
    private String birthDate;
    //国籍
    @Column(name="nationality")
    private String nationality;
    //民族
    @Column(name="nation")
    private String nation;
    //出生地
    @Column(name="birth_place")
    private String birthPlace;
    //籍贯
    @Column(name="native_place")
    private String nativePlace;
    //户籍地
    @Column(name="residence")
    private String residence;
    //户口性质
    @Column(name="type_of_residence")
    private String typeOfResidence;
    //学历
    @Column(name="education_level")
    private String educationLevel;
    //学位
    @Column(name="education_degree")
    private String educationDegree;
    //政治面貌
    @Column(name="political_stand")
    private String politicalStand;
    //婚姻状况
    @Column(name="marrige_status")
    private String marrigeStatus;
    //HR部门号
    @Column(name="org_unit_id")
    private String orgUnitId;
    //岗位ID
    @Column(name="post_code")
    private String postCode;
    //岗位名称
    @Column(name="position")
    private String position;
    //职称资格
    @Column(name="qualify_title")
    private String qualifyTitle;
    //职务级别编码
    @Column(name="rank_code")
    private String rankCode;
    //职务级别
    @Column(name="appoint_rank")
    private String appointRank;
    //职业分类
    @Column(name="occupation")
    private String occupation;
    //参加工作时间
    @Column(name="date_of_work")
    private String dateOfWork;
    //进入南航时间
    @Column(name="date_of_hire")
    private String dateOfHire;
    //用工类别
    @Column(name="status_type")
    private String statusType;
    //人员类别
    @Column(name="person_type")
    private String personType;
    //在岗状态
    @Column(name="active_status")
    private String activeStatus;
    //手机号
    @Column(name="mobile")
    private String mobile;
    //邮箱
    @Column(name="o_email_address")
    private String o_EmailAddress;
    //办公电话
    @Column(name="o_telephone")
    private String o_Telephone;

}
