package cn.com.sailfish.linghang.enumeration;

/**
 * Author: huangpeilin
 * Create at: 2019-05-05 14:21:06
 * Description:
 *
 * @author huangpeilin
 */
public class OperationRecordConstant {

    /**
     * 操作的类型 - 考试
     */
    public static final int OPERATION_RECORD_TYPE_EXAM = 1;

    /**
     * 操作的类型 - 训练
     */
    public static final int OPERATION_RECORD_TYPE_EXERCISE = 0;

    /**
     * 操作是否是最新的 - 是
     */
    public static final Integer OPERATION_RECORD_STATUS_IS_NEWEST = 0;

    /**
     * 操作是否是最新的 - 不是
     */
    public static final Integer OPERATION_RECORD_STATUS_IS_NOT_NEWEST = 1;

    /**
     * 导出考试(训练)记录的用户工号
     */
    public final static int OPERATION_RECORD_USER_CARD = 0;

    /**
     * 导出考试(训练)记录的用户名字
     */
    public final static int OPERATION_RECORD_USERNAME = 1;

    /**
     * 导出考试(训练)记录的用户的最近登录时间
     */
    public final static int OPERATION_RECORD_LAST_LOGIN_TIME = 2;

    /**
     * 导出考试(训练)记录的用户的最近登录的登录时长
     */
    public final static int OPERATION_RECORD_LOGIN_TIME = 3;

    /**
     * 导出考试(训练)记录的用户最近的考试(训练)
     */
    public final static int OPERATION_RECORD_TITLE = 4;

    /**
     * 导出训练操作记录详情的登入时间
     */
    public final static int PERSON_TRAIN_OPERATION_RECORD_LOGIN_TIME = 0;

    /**
     * 导出训练操作记录详情的登出时间
     */
    public final static int PERSON_TRAIN_OPERATION_RECORD_LOGOUT_TIME = 1;

    /**
     * 导出训练操作记录详情的课程名字
     */
    public final static int PERSON_TRAIN_OPERATION_RECORD_COURSE_NAME = 2;

    /**
     * 导出考试操作记录详情的登入时间
     */
    public final static int PERSON_EXAM_OPERATION_RECORD_LOGIN_TIME = 0;

    /**
     * 导出考试操作记录详情的登出时间
     */
    public final static int PERSON_EXAM_OPERATION_RECORD_LOGOUT_TIME = 1;

    /**
     * 导出考试操作记录详情的试卷名字
     */
    public final static int PERSON_EXAM_OPERATION_RECORD_QUESTION_PAPER_NAME = 2;

    /**
     * 导出考试操作记录详情的用户分数
     */
    public final static int PERSON_EXAM_OPERATION_RECORD_SCORE = 3;

    /**
     * 导出考试操作记录详情的用户评定
     */
    public final static int PERSON_EXAM_OPERATION_RECORD_ASSESSMENT = 4;

}
