package cn.com.sailfish.linghang.enumeration;

import cn.com.sailfish.linghang.dao.UserLoginStatus;

import java.util.HashMap;
import java.util.Map;

/**
 * Author: huangpeilin
 * Create at: 2019-04-23 11:05:19
 * Description:
 *
 * @author huangpeilin
 */
public class UserInfoConstant {

    /**
     * 乘务 INT
     */
    public static final Integer FLIGHT_INT = 0;

    /**
     *  机务 INT
     */
    public static final Integer LOCOMOTIVE_INT = 1;

    /**
     *  公共区域 INT
     */
    public static final Integer PUBLIC_SECTOR_INT = 2;

    /**
     *  公共区域 INT
     */
    public static final Integer PUBLIC_INT = 3;

    /**
     * 乘务
     */
    public static final String FLIGHT = "乘务";

    /**
     *  机务
     */
    public static final String LOCOMOTIVE = "机务";

    /**
     *  公共区域
     */
    public static final String PUBLIC = "公共区域";

    /**
     * 用户类别 学员
     */
    public static final String STUDENT = "学员";

    /**
     * 用户类别 学员 0
     */
    public static final Integer STUDENT_INT = 0;

    /**
     * 用户类别 教员
     */
    public static final String TEACHER = "教员";

    /**
     * 用户类别 教员 1
     */
    public static final Integer TEACHER_INT = 1;

    /**
     * 用户类别 所有 2
     */
    public static final Integer ALL_INT = 2;

    /**
     * 用户当前状态 - 训练
     */
    public static final Integer USER_STATUS_TRAIN = 0;

    /**
     *  用户当前状态 - 考试
     */
    public static final Integer USER_STATUS_EXAM = 1;

    /**
     *  用户当前状态 - 离线
     */
    public static final Integer USER_STATUS_OFFLINE = 2;

    /**
     *  用户当前状态 - 在线
     */
    public static final Integer USER_STATUS_ONLINE = 3;

    /**
     *  用户班别 - 初训
     */
    public static final String CLASS_TYPE_JUNIOR = "初训";

    /**
     *  用户班别 - 复训
     */
    public static final String CLASS_TYPE_HIGH = "复训";

    /**
     * 用户导入导出表中的卡号
     */
    public static final int CARD = 0;

    /**
     * 用户导入导出表中的姓名
     */
    public static final int USERNAME = 1;

    /**
     * 用户导入导出表中的组织机构
     */
    public static final int ORGANIZATION = 2;

    /**
     * 用户导入导出表中的用户类别
     */
    public static final int USER_TYPE = 3;

    /**
     * 用户导入表中的联系方式
     */
    public static final int MOBILE_PHONE = 4;

    /**
     * 用户导入表中的电子邮箱
     */
    public static final int EMAIL = 5;

    /**
     * 缓存客户端的token信息
     */
    public static Map<String, String> USER_TOKEN = new HashMap<>();

    /**
     * 缓存客户登录的情况
     */
    public static Map<String, UserLoginStatus> USER_LOGIN_STATUS = new HashMap<>();

    /**
     * 用户导出表中的工作表 第一个
     */
    public static final int FIRST_SHEET = 0;

    /**
     * 用户导出表中的班别
     */
    public static final int CLASS_TYPE = 4;

    /**
     * 用户导出表中的负责人
     */
    public static final int LEADER = 5;
}
