package cn.com.sailfish.linghang.repository;

import cn.com.sailfish.linghang.domain.BannerControl;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

@Repository
public interface BannerControlRepository extends JpaRepository<BannerControl, Long> {

    @Transactional
    @Modifying
    @Query("UPDATE BannerControl  SET value = :value where code = 'space' ")
    void UpdateValue(String value);

    @Query( "select  value from  BannerControl  where code= 'move'")
    String findByMove();

    @Transactional
    @Modifying
    @Query("UPDATE BannerControl  SET value = :value where code = 'move' ")
    void setMove(String value);

}
