package cn.com.sailfish.linghang.repository;

import cn.com.sailfish.linghang.dao.web.request.BannerSecondRequestDTO;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

@Repository
public interface BannerSecondRepository extends JpaRepository<BannerSecondRequestDTO, Long> {

    @Query(nativeQuery = true,value = "SELECT new_title AS title,content,classtype AS type,new_url AS url,gmt_created AS creattime FROM new_papers WHERE new_title LIKE '%?1%'\n" +
            "UNION ALL\n" +
            "SELECT course_title AS title,content,'2' AS type,course_url as url,gmt_created as creattime FROM\n" +
            "course_introduce WHERE course_title LIKE '%?1%'\n" +
            "UNION ALL\n" +
            "SELECT vr_images_title AS title,content ,'3' AS type,image_url as url,gmt_created as creattime FROM\n" +
            "vr_details WHERE vr_images_title LIKE '%?1%' \n" +
            "UNION ALL\n" +
            "SELECT thd_title AS title,'2' as content, '4' AS type,image_url AS url ,gmt_created as creattime FROM thd_model WHERE thd_title LIKE '%?1%'")
    Page<BannerSecondRequestDTO> findAllByContent(Pageable pageable,String crux);


}
