package cn.com.sailfish.linghang.repository;

import cn.com.sailfish.linghang.domain.Engine;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

/**
 * Author: AutoCoder (maintained by newma<newma@live.cn>)
 * Create: 2019-04-23 15:12:03
 * @author huangpeilin
 */

@Repository
public interface EngineRepository extends JpaRepository<Engine, Long> {

    /**
     * 根据发动机ID查找发动机
     * @param id
     * @return
     */
    Engine findOneById(Long id);

    /**
     * 根据发动机和名字对应的值查找发动机
     * @param type
     * @return
     */
    Engine findOneByType(Integer type);
}