package cn.com.sailfish.linghang.repository;

import cn.com.sailfish.linghang.domain.FileInfo;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

/**
 * Author: AutoCoder (maintained by newma<newma@live.cn>)
 * Create: 2019-04-23 15:12:04
 * @author huangpeilin
 */

@Repository
public interface FileInfoRepository extends JpaRepository<FileInfo, Long> {

    /**
     * 根据文件的key获取文件信息
     * @param keyName
     * @return
     */
    FileInfo findOneByKeyName(String keyName);
}