package cn.com.sailfish.linghang.service.crawler;

import cn.com.sailfish.linghang.domain.OperateDto.NewsPaperOperateDto;
import org.springframework.http.converter.StringHttpMessageConverter;
import org.springframework.web.client.RestTemplate;

import java.nio.charset.StandardCharsets;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.util.regex.PatternSyntaxException;

public class CaacnewsService implements CrawlerService {
    @Override
    public NewsPaperOperateDto crawler(String url) {
        NewsPaperOperateDto newsPaperOperateDto = new NewsPaperOperateDto();
        int i = url.lastIndexOf("/");
        String imgUrl = url.substring(0,i);
        RestTemplate restTemplate = new RestTemplate();
        restTemplate.getMessageConverters().set(1,new StringHttpMessageConverter(StandardCharsets.UTF_8));
        String forObject = restTemplate.getForObject(url, String.class);
        String title = "<title>";
        int firstTilteIndex = forObject.indexOf(title);
        int lastTitleIndex = forObject.indexOf("</title>");
        String newsTitle = forObject.substring(firstTilteIndex + title.length(), lastTitleIndex);
        newsTitle = newsTitle.substring(3,newsTitle.length()-7);
        newsPaperOperateDto.setNewsTitle(newsTitle);
        int firstContentIndex = forObject.indexOf("<div class=TRS_Editor>");
        String lastContent="</div>";
        int lastContentIndex = forObject.indexOf(lastContent,firstContentIndex);
        String newsContent = forObject.substring(firstContentIndex,lastContentIndex);
        newsContent += "</div>";
        String replaceContent = newsContent.replace("src=\".", "src=\"" + imgUrl);
        newsPaperOperateDto.setContent(replaceContent);
        newsPaperOperateDto.setIntro("");
        return newsPaperOperateDto;
    }
}
