package cn.com.sailfish.linghang.util;

import java.util.*;

/**
 * @author: huangpeilin
 * Create at: 2018-05-30 21:08:10
 * Description:
 */
public final class ListUtil {

    /**
     * 删除ArrayList中重复元素，保持顺序
     * @param list
     * @return
     */
    public static List removeDuplicateWithOrder(List list) {
        Set set = new HashSet();
        List newList = new ArrayList();
        for (Iterator iterator = list.iterator(); iterator.hasNext();) {
            Object element = iterator.next();
            if (set.add(element)){
                newList.add(element);
            }
        }
        list.clear();
        list.addAll(newList);
        return list;
    }

    /**
     * 通过HashSet剔除
     * 除ArrayList中重复元素,add进去顺序就变了不考虑顺序的话可以使用
     * @param list
     */
    public static List removeDuplicate1(List list) {
        HashSet h = new HashSet(list);
        list.clear();
        list.addAll(h);
        return list;
    }


}
